Bug 1379686 - pandas.io.data is deprecated
Summary: pandas.io.data is deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pandas
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: kushaldas@gmail.com
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1381087
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-27 13:04 UTC by Matěj Cepl
Modified: 2018-04-11 12:44 UTC (History)
5 users (show)

Fixed In Version: python-pandas-0.19.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-30 05:27:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Matěj Cepl 2016-09-27 13:04:00 UTC
Description of problem:

matej@mitmanek: pkcon-install-broken-dependencies (rhel-7 *%)$ ipython
Python 2.7.5 (default, Aug  2 2016, 04:20:16) 
Type "copyright", "credits" or "license" for more information.

IPython 3.2.1 -- An enhanced Interactive Python.
?         -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help      -> Python's own help system.
object?   -> Details about 'object', use 'object??' for extra details.

In [1]: import pandas.io.data as web
/usr/lib64/python2.7/site-packages/pandas/io/data.py:33: FutureWarning: 
The pandas.io.data module is moved to a separate package (pandas-datareader) and will be removed from pandas in a future version.
After installing the pandas-datareader package (https://github.com/pydata/pandas-datareader), you can change the import ``from pandas.io import data, wb`` to ``from pandas_datareader import data, wb``.
  FutureWarning)

-----

I guess we need to package pandas-datareader, right?


Version-Release number of selected component (if applicable):
python-pandas-0.17.1-1.el7.x86_64

Comment 1 Sergio Pascual 2016-10-02 22:14:34 UTC
Yes, I have a pandas-datareader package in the working

Comment 2 Fedora Update System 2016-10-26 20:31:33 UTC
python-pandas-0.19.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed2b0d9855

Comment 3 Fedora Update System 2016-11-30 05:27:06 UTC
python-pandas-0.19.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.